SKB_COPY_DATAGRAM(9)

NAME
skb_copy_datagram_iovec - Copy a datagram to an iovec.

SYNOPSIS

int skb_copy_datagram_iovec (const struct sk_buff * skb, int offset, struct iovec * to, int len);

ARGUMENTS

skb buffer to copy

offset
    offset in the buffer to start copying from

to  io vector to copy to

len amount of data to copy from buffer to iovec

NOTE

the iovec is modified during the copy.